Bug 14050 - Заниженный лимит памяти
: Заниженный лимит памяти
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pear-core)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-17 10:39 by
Modified: 2009-07-01 12:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-17 10:39:09
В /usr/bin/pear указано -d memory_limit=8M
что недостаточно для исполнения на x86_64. Предлагаю указать 12M
У меня сборка всех пакетов на x86_64 посыпалась :(
------- Comment #1 From 2008-01-17 11:13:18 -------
там указано 15М
http://sisyphus.ru/srpm/Sisyphus/pear-core/spec
------- Comment #2 From 2008-01-17 12:01:35 -------
Ещё раз: в файле /usr/bin/pear.
Вообще мне кажется, вместо длинной конструкции
php -d output_buffering=1 -d variables_order=EGPCS -d open_basedir="" -d 
safe_mode=0 -d register_argc_argv="On" -d auto_prepend_file="" -d 
auto_append_file="" -d memory_limit=15M scripts/pearcmd.php 
install --nodeps --offline

вполне подойдёт scripts/pear.sh, откуда вы, похоже, строчку и взяли.
Давайте попробуем scripts/pear.sh использовать. Он же в будущем 
становится /usr/bin/pear.
------- Comment #3 From 2008-01-17 12:14:06 -------
Хм, раньше так и было, но Вы мне сами в личной переписке писали:

> Не используйте скрипт scripts/pear.php для установки
> Вызывайте сразу строку, которая в нём (с нужными подстановками):
> exec $PHP -C -q $INCARG -d output_buffering=1 -d 
> variables_order=EGPCS -d open_basedir="" -d safe_mode=0 -d 
> register_argc_argv="O
> n" -d auto_prepend_file="" -d auto_append_file="" -d 
> memory_limit=8M $INCDIR/pearcmd.php "$@
> Заодно и лимит памяти увеличьте до 15Mb

в /usr/bin/pear лимит подниму.
------- Comment #4 From 2008-01-18 00:35:46 -------
Прошу прощения за глупый совет :(
Как-то сразу не дошло, что проблема и меня коснётся.
------- Comment #5 From 2008-01-18 08:46:20 -------
поправил в 1.6.2-alt4 отправлен на сборку в сизиф
------- Comment #6 From 2008-01-18 09:32:14 -------
Fixed
------- Comment #7 From 2009-06-30 03:19:44 -------
У меня не собирается pear-PhpDocumentor:
PHP Fatal error:  Allowed memory size of 15728640 bytes exhausted (tried to
allocate 262144 bytes) in /usr/share/php/pear/PEAR/Registry.php on line 1051

Увеличим лимит ещё? 20M мне вполне помогло.
------- Comment #8 From 2009-06-30 11:43:17 -------
возможно стоит вообще убрать ограничение?
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=375070#53
------- Comment #9 From 2009-06-30 12:35:03 -------
добавил в acl @everybody
В данный период нет к сожалению совсем времени заниматься поддержкой.
------- Comment #10 From 2009-06-30 16:14:13 -------
pear-core-1.7.1-alt2 -> sisyphus:

* Tue Jun 30 2009 Boris Savelev <boris@altlinux> 1.7.1-alt2

- NMU
- remove memory limit for pear (closes:#14050)
------- Comment #11 From 2009-07-01 01:53:19 -------
То же самое нужно сделать для /usr/bin/pecl:
$ pecl make-rpm-spec pam-1.0.2.tgz
PHP Fatal error:  Allowed memory size of 5242880 bytes exhausted (tried to
allocate 77824 bytes) in /usr/share/php/pear/PEAR/Dependency2.php on line 416
------- Comment #12 From 2009-07-01 12:53:05 -------
pear-core-1.7.1-alt2.1 -> sisyphus:

* Wed Jul 01 2009 Boris Savelev <boris@altlinux> 1.7.1-alt2.1

- NMU
- remove memory limit for pecl (closes:#14050)